X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

I can't download current vcrsion of firefox because "I don't have permissions". What do I do?

Posted

What else do you need to know?

Additional System Details

Installed Plug-ins

  • Runs Java applets using the latest installed versions of Java. For more information: Java Embedding Plugin. Run version test: Java Information.
  • Netscape Navigator Default Plug-in
  • Yahoo! BrowserPlus Plug-In
  • npmnqmp 071505000006
  • Google Talk Plugin Video Accelerator version:0.1.44.5
  • Shockwave Flash 10.1 r102
  • 4.0.60129.0
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • Office Live Update v1.0
  • The Flip4Mac WMV Plugin allows you to view Windows Media content using QuickTime.

Application

  • User Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.0.6) Gecko/2009011912 Firefox/3.0.6

More Information

cor-el
  • Top 10 Contributor
  • Moderator
10739 solutions 96650 answers

If you have problems with updating or with the permissions then easiest is to download the full version and trash the currently installed version to do a clean install of the new version.

Download a new copy of the Firefox program and save the DMG file to the desktop

  • Trash the current Firefox application to do a clean (re-)install
  • Install the new version that you have downloaded

Your profile data is stored elsewhere in the Firefox Profile Folder, so you won't lose your bookmarks and other personal data.

carolynb3 0 solutions 3 answers

I have this problem too and doing what was suggested - downloading from scratch does not solve the problem. Still get the same error message. Just tried that.

cor-el
  • Top 10 Contributor
  • Moderator
10739 solutions 96650 answers

Did you move the Firefox 3.0.6 installation to the trash?